Summary:	Apache2 fcgid module
Summary(ko): 아파치2 fcgid 모듈
Name:		httpd-fcgid
Version:	2.3.9
Release:	1%{?dist}
Epoch:		1
License:	ASL
Group:		System Environment/Daemons
URL:		https://httpd.apache.org/mod_fcgid/
Source0:	http://apache.mirror.cdnetworks.com//httpd/mod_fcgid/mod_fcgid-%{version}.tar.bz2
Source1:	fcgid.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
Requires: httpd

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
mod_fcgid is a high performance alternative to mod_cgi or mod_cgid, which starts a
sufficient number instances of the CGI program to handle concurrent requests, and
these programs remain running to handle further incoming requests. It is favored
by the PHP developers, for example, as a preferred alternative to running mod_php
in-process, delivering very similar performance.


%prep
%setup -q -n mod_fcgid-%{version}

%build
APXS=%{_bindir}/apxs ./configure.apxs
%{__make} %{?_smp_mflags}

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__install} -m 755 ./modules/fcgid/.libs/mod_fcgid.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/fcgid.conf
%{_moddir}/mod_fcgid.so

%changelog
* Thu Jan 14 2016 JoungKyun.Kim <oops@neowiz.com> 1:2.3.9-1%{?dist}
- first packaging
